Loading...
Searching...
No Matches
seqan3::default_printer Struct Reference
Core » Debug Stream

The default printer that is used by seqan3::debug_stream. More...

`#include <seqan3/core/debug_stream/default_printer.hpp>`

Inheritance diagram for seqan3::default_printer:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t> requires printable_with<printer_for_t<stream_t &, std::remove_cvref_t<arg_t>>, stream_t &, arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| The function call operator that is only defined if the type is printable.

## Additional Inherited Members

Protected Types inherited from seqan3::printer_order< debug_stream_printer, alignment_result_printer, search_result_printer, alignment_printer, advanceable_alignment_coordinate_printer, alignment_matrix_printer, trace_directions_printer, mask_printer, integral_printer, cigar_printer, alphabet_printer, sam_flag_printer, simd_printer, dynamic_bitset_printer, optional_printer, char_sequence_printer, integer_sequence_printer, sequence_printer, input_range_printer, strong_type_printer, enumeration_printer, tuple_printer, std_byte_printer, std_variant_printer, std_printer >

using | printer_for_t
| The type of the printer that can print the argument to the stream.

Static Protected Member Functions inherited from seqan3::printer_order< debug_stream_printer, alignment_result_printer, search_result_printer, alignment_printer, advanceable_alignment_coordinate_printer, alignment_matrix_printer, trace_directions_printer, mask_printer, integral_printer, cigar_printer, alphabet_printer, sam_flag_printer, simd_printer, dynamic_bitset_printer, optional_printer, char_sequence_printer, integer_sequence_printer, sequence_printer, input_range_printer, strong_type_printer, enumeration_printer, tuple_printer, std_byte_printer, std_variant_printer, std_printer >

static constexpr size_t | find_index ()
| Find the index of the first printer that can print the argument.

## Detailed Description

The default printer that is used by seqan3::debug_stream.

This printer offers a function call operator if the type is printable by one of the printers defined in the seqan3::printer_order. If no valid printer is found the function call operator is not defined.

## Member Function Documentation

## operator()()

template<typename stream_t, typename arg_t>
requires printable_with<printer_for_t<stream_t &, std::remove_cvref_t<arg_t>>, stream_t &, arg_t>

void seqan3::default_printer::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

The function call operator that is only defined if the type is printable.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | arg | The argument to print.

The documentation for this struct was generated from the following file:

- default_printer.hpp

Hide me